Page MenuHomePhabricator

Update various Asana odds-and-ends for "gid" API changes
ClosedPublic

Authored by epriestley on Nov 8 2019, 5:01 PM.
Tags
None
Referenced Files
F13261652: D20900.diff
Mon, May 27, 1:17 AM
F13244273: D20900.diff
Thu, May 23, 4:40 AM
F13223496: D20900.diff
Sun, May 19, 4:40 AM
F13178519: D20900.diff
Wed, May 8, 8:28 PM
Unknown Object (File)
Mon, Apr 29, 2:17 AM
Unknown Object (File)
Sun, Apr 28, 2:03 PM
Unknown Object (File)
Apr 27 2024, 4:42 AM
Unknown Object (File)
Apr 26 2024, 5:42 AM
Subscribers
None

Details

Summary

Ref T13453. Some of the Asana integrations also need API updates.

Depends on D20899.

Test Plan
  • Viewed "asana.workspace-id" in Config, got a sensible GID list.
  • Created a revision, saw the associated Asana task get assigned.
  • Pasted an Asana link I could view into a revision description, saw it Doorkeeper in the metadata.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Nov 8 2019, 5:08 PM
This revision was automatically updated to reflect the committed changes.